Bug 1719710 - Cannot install python-neutron-tests package
Summary: Cannot install python-neutron-tests package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-neutron
Version: 15.0 (Stein)
Hardware: Unspecified
OS: Unspecified
high
urgent
Target Milestone: beta
: 15.0 (Stein)
Assignee: Jakub Libosvar
QA Contact: Candido Campos
URL:
Whiteboard:
Depends On:
Blocks: 1719799 1719800
TreeView+ depends on / blocked
 
Reported: 2019-06-12 11:54 UTC by Jakub Libosvar
Modified: 2019-09-26 10:52 UTC (History)
5 users (show)

Fixed In Version: openstack-neutron-14.1.0-0.20190614174036.809977a.el8ost
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 1719799 1719800 (view as bug list)
Environment:
Last Closed: 2019-09-21 11:23:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Gerrithub.io 21111 0 None None None 2019-06-12 12:18:17 UTC
RDO 21112 0 None None None 2019-06-12 14:59:46 UTC
Red Hat Product Errata RHEA-2019:2811 0 None None None 2019-09-21 11:23:23 UTC

Description Jakub Libosvar 2019-06-12 11:54:56 UTC
Description of problem:
installing python-neutron-tests fails with following error:
Error: Package: 1:python-neutron-tests-12.0.5-11.el7ost.noarch (rhelosp-13.0-unittest)
           Requires: python2-oslo-db-tests >= 4.10.0
           Available: python2-oslo-db-tests-4.33.2-1.el7ost.noarch (rhelosp-13.0-unittest)
               python2-oslo-db-tests = 4.33.2-1.el7ost

It fails networking-ovn functional CI. The bug is also probably in oslo-db-tests packaging, however it turned out we don't need python-oslo-db-tests package at all as Neutron doesn't import any code from there.

Comment 7 errata-xmlrpc 2019-09-21 11:23:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2019:2811


Note You need to log in before you can comment on or make changes to this bug.